﻿// $Id: BasicMode.designer.cs 29 2013-03-20 06:48:45Z mawerick $
//
//  Copyright (C) Mawerick, WrongPlace.Net 2005 - 2013
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//
namespace AOcrayon
{
	partial class BasicMode
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the control.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
        private void InitializeComponent()
        {
            this.tabControl = new System.Windows.Forms.TabControl();
            this.basicHelpLabel = new Twp.Controls.HtmlLabel();
            this.helpLine = new Twp.Controls.Line();
            this.basicHelpExtraLabel = new Twp.Controls.HtmlLabel();
            this.SuspendLayout();
            // 
            // tabControl
            // 
            this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
            | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.tabControl.Location = new System.Drawing.Point(0, 0);
            this.tabControl.Name = "tabControl";
            this.tabControl.SelectedIndex = 0;
            this.tabControl.Size = new System.Drawing.Size(357, 216);
            this.tabControl.TabIndex = 0;
            // 
            // basicHelpLabel
            // 
            this.basicHelpLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.basicHelpLabel.Html = "BasicHelp";
            this.basicHelpLabel.Location = new System.Drawing.Point(4, 222);
            this.basicHelpLabel.Name = "basicHelpLabel";
            this.basicHelpLabel.Size = new System.Drawing.Size(347, 64);
            this.basicHelpLabel.TabIndex = 1;
            // 
            // helpLine
            // 
            this.helpLine.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.helpLine.LinePadding = 2;
            this.helpLine.Location = new System.Drawing.Point(4, 288);
            this.helpLine.Name = "helpLine";
            this.helpLine.Size = new System.Drawing.Size(347, 6);
            // 
            // basicHelpExtraLabel
            // 
            this.basicHelpExtraLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.basicHelpExtraLabel.Html = "BasicHelpExtra";
            this.basicHelpExtraLabel.Location = new System.Drawing.Point(4, 298);
            this.basicHelpExtraLabel.Name = "basicHelpExtraLabel";
            this.basicHelpExtraLabel.Size = new System.Drawing.Size(347, 64);
            this.basicHelpExtraLabel.TabIndex = 2;
            // 
            // BasicMode
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.tabControl);
            this.Controls.Add(this.basicHelpLabel);
            this.Controls.Add(this.helpLine);
            this.Controls.Add(this.basicHelpExtraLabel);
            this.Name = "BasicMode";
            this.Size = new System.Drawing.Size(357, 361);
            this.ResumeLayout(false);

        }

        private System.Windows.Forms.TabControl tabControl;
        private Twp.Controls.HtmlLabel basicHelpLabel;
		private Twp.Controls.Line helpLine;
        private Twp.Controls.HtmlLabel basicHelpExtraLabel;
	}
}
